CGLIB is required to process @Configuration classes

Hoy me encuentro con este problema al configurar swagger que una libreria para generar documentación automatica de una api RESTFUL supuestamente, pero me esta marcando un error de una libreria se arregla agregando esta dependencia el archivo POM.xml con esto ya queda:

 

<dependency>
    <groupId>cglib</groupId>
    <artifactId>cglib</artifactId>
    <version>2.2.2</version>
</dependency>

Si no se arregla, entonces a la burger no se que pasara con sus pateticas vidas, para mi funciono la solucion esta asi que hay se ven.

Tambien pueden probar descargando la libreria y agregandola a su proyecto.

Artículos Relacionados